var utils = require('../utils');
var path = require('path');
var basePath = process.cwd();

const DEFAULT = {
  title: 'Swanky Docs',
  theme: '../themes/swanky',
  layouts: 'src/templates/layouts',
  partials: 'src/templates/partials',
  patterns: 'src/patterns'
}

function Site (config) {
  this.title = config.title || DEFAULT.title;
  this.theme =  config.theme ? path.join(basePath, config.theme) : path.resolve(__dirname, DEFAULT.theme);
  this.layouts = path.join(basePath, config.layouts || DEFAULT.layouts);
  this.partials = path.join(basePath, config.partials || DEFAULT.partials);
  this.patterns = path.join(basePath, config.patterns || DEFAULT.patterns);
}

module.exports = Site;